info.bioinfweb.jphyloio.events

## Class CharacterDefinitionEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.LabeledEvent
    - - info.bioinfweb.jphyloio.events.LabeledIDEvent
      - - info.bioinfweb.jphyloio.events.CharacterDefinitionEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class CharacterDefinitionEvent
      extends LabeledIDEvent

  Event that indicates a defined character (alignment column).

  Events of this type are optional and most readers will create them only if a character label or associated metadata is present or if an ID has explicitly been defined in the document that is read.

  Note that only the property `getIndex()` defines the index of the modeled alignment column. There are not necessarily events fired for each column, which is why the index cannot be determined by counting the encountered events of this type.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharacterDefinitionEvent(java.lang.String id, java.lang.String label, long index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getIndex()`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.LabeledIDEvent

      `checkID, getID`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.LabeledEvent

      `getLabel, hasLabel`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharacterDefinitionEvent

          public CharacterDefinitionEvent(java.lang.String id,
                                          java.lang.String label,
                                          long index)

  - ### Method Detail

    - #### getIndex

          public long getIndex()